# School

Represents a school on SMHW.

## Constructor

#### new School(client, response)

Instantiate a School object.

Parameters:

Name | Type | Description
--- | --- | ---
`client` | Client | The client that is instantiating the object.
`response` | Object | The data for the object.

Source:
  - structures/School.js, line 17

### Members

#### (private) _client :Client

The client that instantiated this object.

Type:

- Client

Source:
  - structures/School.js, line 23

#### active_directory_enabled :Boolean

Type:

- Boolean

Source:
  - structures/School.js, line 28

#### address :String

The address of the school.

Type:

- String

Source:
  - structures/School.js, line 34

#### announcement_category_ids :Array.<Number>

An array of announcement categories that the school belongs to.

Type:

- Array.<Number>

Source:
  - structures/School.js, line 40

#### assessment :Boolean

Whether or not the school is subscribed to SatchelOne's assessment product.

Type:

- Boolean

Source:
  - structures/School.js, line 46

#### attendance :Boolean

Whether or not the school is subscribed to SatchelOne's attendance product.

Type:

- Boolean

Source:
  - structures/School.js, line 52

#### attendance_settings_id :Number

The ID for the school's settings on SatchelOne's attendance.

Type:

- Number

Source:
  - structures/School.js, line 58

#### banner_name :String

The name of the school's banner.

Type:

- String

Source:
  - structures/School.js, line 64

#### banner_url :String

The URL of the school's banner.

Type:

- String

Source:
  - structures/School.js, line 70

#### book_store :Boolean

Whether or not the school has a book store.

Type:

- Boolean

Source:
  - structures/School.js, line 76

#### brand_color :String

The brand colour of the school.

Type:

- String

Source:
  - structures/School.js, line 82

#### brand_colour :String

The brand colour of the school.

Type:

- String

Source:
  - structures/School.js, line 88

#### collins_settings :Object

Whether or not the school has certain collins settings enabled.

Type:

- Object

Source:
  - structures/School.js, line 94

#### core :Boolean

Type:

- Boolean

Source:
  - structures/School.js, line 99

#### country :String

The country of the school.

Type:

- String

Source:
  - structures/School.js, line 105

#### created_at :Number

The timestamp of when the school signed up to SMHW.

Type:

- Number

Source:
  - structures/School.js, line 111

#### description :String

The description of the school.

Type:

- String

Source:
  - structures/School.js, line 117

#### detentions :Boolean

Whether or not the school is subscribed to SatchelOne's detentions product.

Type:

- Boolean

Source:
  - structures/School.js, line 123

#### dropbox_uploads_disabled :Boolean

Whether or not the school has dropbox uploads disabled.

Type:

- Boolean

Source:
  - structures/School.js, line 129

#### email :String

The email of the school.

Type:

- String

Source:
  - structures/School.js, line 135

#### facebook :String

The facebook account of the school.

Type:

- String

Source:
  - structures/School.js, line 141

#### google_drive_uploads_disabled :Boolean

Whether or not the school has Google Drive Uploads disabled.

Type:

- Boolean

Source:
  - structures/School.js, line 147

#### google_enabled :Boolean

Type:

- Boolean

Source:
  - structures/School.js, line 152

#### google_tts :Boolean

Whether or not the school uses google's text-to-speech.

Type:

- Boolean

Source:
  - structures/School.js, line 158

#### has_o365_integration :Boolean

Whether or not the school has Office 365 integration.

Type:

- Boolean

Source:
  - structures/School.js, line 164

#### homepage_active :Boolean

Whether or not the school's home page is active.

Type:

- Boolean

Source:
  - structures/School.js, line 171

#### homepage_background :string

The background for the school's home page.

Type:

- string

Source:
  - structures/School.js, line 177

#### homepage_zones :Boolean

Whether or not the school has zones it's home page.

Type:

- Boolean

Source:
  - structures/School.js, line 183

#### id :Number

The ID of the school.

Type:

- Number

Source:
  - structures/School.js, line 189

#### import_external_type :String

Type:

- String

Source:
  - structures/School.js, line 194

#### instagram :String

The instagram account of the school.

Type:

- String

Source:
  - structures/School.js, line 200

#### is_active :Boolean

Whether or not the school is active.

Type:

- Boolean

Source:
  - structures/School.js, line 206

#### is_discussion_enabled :Booolean

Whether or not the school has discussion enabled.

Type:

- Booolean

Source:
  - structures/School.js, line 212

#### kudos :Boolean

Whether or not the school has kudos enabled.

Type:

- Boolean

Source:
  - structures/School.js, line 218

#### kudos_import :Boolean

Type:

- Boolean

Source:
  - structures/School.js, line 223

#### kudos_writeback :Boolean

Type:

- Boolean

Source:
  - structures/School.js, line 228

#### latitude :Number

The latitude location of the school.

Type:

- Number

Source:
  - structures/School.js, line 234

#### links :Object

Links for API resources for the school.

Type:

- Object

Source:
  - structures/School.js, line 240

#### logo_name :String

The name of the school's logo.

Type:

- String

Source:
  - structures/School.js, line 306

#### logo_url :String

The URL of the school's logo.

Type:

- String

Source:
  - structures/School.js, line 312

#### longitude :Number

The longitude location of the school.

Type:

- Number

Source:
  - structures/School.js, line 318

#### name :String

The name of the school.

Type:

- String

Source:
  - structures/School.js, line 324

#### native_apps_task_advert :Boolean

Type:

- Boolean

Source:
  - structures/School.js, line 329

#### new_classwork_enabled :Boolean

Type:

- Boolean

Source:
  - structures/School.js, line 334

#### new_students_list_enabled :Boolean

Type:

- Boolean

Source:
  - structures/School.js, line 339

#### one_drive_uploads_disabled :Boolean

Whether or not the school has Only Drive uploads disabled.

Type:

- Boolean

Source:
  - structures/School.js, line 345

#### only_positive_kudos_enabled :Boolean

Type:

- Boolean

Source:
  - structures/School.js, line 350

#### parent_zone_root_id :Number

The ID of the school's parent zone.

Type:

- Number

Source:
  - structures/School.js, line 356

#### phone_number :String

The phone number of the school.

Type:

- String

Source:
  - structures/School.js, line 362

#### post_code :String

The post code of the school.

Type:

- String

Source:
  - structures/School.js, line 368

#### praise_points :Boolean

Type:

- Boolean

Source:
  - structures/School.js, line 373

#### premium_features :Object

Whether or not the school has certain premium features.

Type:

- Object

Source:
  - structures/School.js, line 379

#### prospectus_name :String

The name of the school's prospectus.

Type:

- String

Source:
  - structures/School.js, line 408

#### prospectus_url :String

The URL of the school's prospectus.

Type:

- String

Source:
  - structures/School.js, line 414

#### registration_group_ids :Array.<Number>

An array of IDs of registration groups in the school.

Type:

- Array.<Number>

Source:
  - structures/School.js, line 420

#### root_directory_id :Number

Type:

- Number

Source:
  - structures/School.js, line 425

#### school_praise_info_id :Number

Type:

- Number

Source:
  - structures/School.js, line 430

#### school_private_info_id :Number

The ID of the school's private information.

Type:

- Number

Source:
  - structures/School.js, line 436

#### school_type :String

The type of school.

Type:

- String

Source:
  - structures/School.js, line 442

#### school_zone_root_id :Number

The ID for the school's root zone.

Type:

- Number

Source:
  - structures/School.js, line 448

#### serious_incidents_enabled :Boolean

Type:

- Boolean

Source:
  - structures/School.js, line 453

#### share_kudos_comments_enabled :Boolean

Type:

- Boolean

Source:
  - structures/School.js, line 458

#### show_staff_codes_for_public :Boolean

Type:

- Boolean

Source:
  - structures/School.js, line 463

#### sims_enabled :Boolean

Whether or not the school has sims enabled/

Type:

- Boolean

Source:
  - structures/School.js, line 469

#### smart_seating :Boolean

Whether or not the school is subscribed to SatchelOne's smart seating product.

Type:

- Boolean

Source:
  - structures/School.js, line 475

#### student_zone_root_id :Number

The ID for the school's student zone.

Type:

- Number

Source:
  - structures/School.js, line 481

#### subdomain :String

The subdomain of the school.

Type:

- String

Source:
  - structures/School.js, line 487

#### teacher_signup_enabled :Boolean

Whether or not the school has teacher signup enabled.

Type:

- Boolean

Source:
  - structures/School.js, line 493

#### time_zone :String

The city of timezone of the school.

Type:

- String

Source:
  - structures/School.js, line 499

#### timetables :Boolean

Whether or not the school is subscribed to SatchelOne's timetables product.

Type:

- Boolean

Source:
  - structures/School.js, line 505

#### town :String

The town of the school.

Type:

- String

Source:
  - structures/School.js, line 511

#### trial :Boolean

Whether or not the school is using a trial of SMHW.

Type:

- Boolean

Source:
  - structures/School.js, line 517

#### twitter :String

The twitter account of the school.

Type:

- String

Source:
  - structures/School.js, line 524

#### updated_at :Number

The timestamp of when the school was last updated.

Type:

- Number

Source:
  - structures/School.js, line 530

#### website :String

The website of the school.

Type:

- String

Source:
  - structures/School.js, line 536

#### xod_ready :Boolean

Type:

- Boolean

Source:
  - structures/School.js, line 541

### Methods

#### getClassGroups(idsopt) → {Promise.<Array.<ClassGroup>>}

Get class groups in the school.

Parameters:

Name | Type | Attributes | Description
--- | --- | --- | ---
`ids` | Array.<Number> | <optional> | An array of class group IDs to retrieve.

Source:
  - structures/School.js, line 557

Returns:

Type
  Promise.<Array.<ClassGroup>>

#### getClassYears(idsopt) → {Promise.<Array.<ClassYear>>}

Get class years in the school.

Parameters:

Name | Type | Attributes | Description
--- | --- | --- | ---
`ids` | Array.<Number> | <optional> | An array of class year IDs to retrieve.

Source:
  - structures/School.js, line 584

Returns:

Type
  Promise.<Array.<ClassYear>>

#### getDetentionTemplates(idsopt) → {Promise.<Array.<DetentionTemplate>>}

Get detention templates in the school.

Parameters:

Name | Type | Attributes | Description
--- | --- | --- | ---
`ids` | Array.<Number> | <optional> | An array of detention template IDs to retrieve.

Source:
  - structures/School.js, line 611

Returns:

Type
  Promise.<Array.<DetentionTemplate>>

#### getEmployees(idsopt) → {Promise.<Array.<Employee>>}

Get employees in the school.

Parameters:

Name | Type | Attributes | Description
--- | --- | --- | ---
`ids` | Array.<Number> | <optional> | An array of employee IDs to retrieve.

Source:
  - structures/School.js, line 629

Returns:

Type
  Promise.<Array.<Employee>>

#### getPrivateInformation() → {Promise.<SchoolPrivateInformation>}

Get private information about the school.

Source:
  - structures/School.js, line 548

Returns:

Type
  Promise.<SchoolPrivateInformation>